> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncloudformationstackdriftreportparameters-object.md).

# AmazonCloudFormationStackDriftReportParameters Object

## Description

Parameters for the Amazon CloudFormation Stack Drift Report action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### stackIdentificationMethod

Method to use to identify stacks to be checked for drift.

Type: `string`

Valid Values:

* `all-stacks`
* `by-stack-name`
* `by-resource-tag`

Required: Yes

### stackNameComparison

Comparison to use when matching stacks by their name. Required when `stackIdentificationMethod` is `by-stack-name`.

Type: [CloudFormationStackNameComparison](/data-types/cloudformationstacknamecomparison-object.md) object

Required: Conditional

### regionNames

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### reportFormat

Format of the final report. Required when `targetType` is `email`.

Type: `string`

Valid Values:

* `email`
* `email-html-attachment`
* `email-csv-attachment`

Required: Conditional

### resourceTagComparison

Comparison to use when identifying stacks by resource tag. Required when `stackIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### targetEmails

The target email addresses to send the final report.

Type: array of `string`

Required: No

### targetType

Indicates whether a report should be generated with the execution results.

Type: `string`

Valid Values:

* `none`
* `email`

Required: No

Default: `none`

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1",
        "us-east-2"
    ],

    "stackIdentificationMethod": "all-stacks",

    "targetType": "email",
    "targetEmails": [
        "foo@example.com"
    ],
    "ReportFormat": "email"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncloudformationstackdriftreportparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
